### Method

# GLib Uri get_userinfo

since: 2.66

#### Declaration [src]

    const gchar*
    g_uri_get_userinfo (
      GUri* uri
    )

#### Description [src]

Gets `uri`‘s userinfo, which may contain `%`-encoding, depending on the flags with which `uri` was created.

Available since: 2.66

#### Return value

Type: `const gchar*`

`uri`‘s userinfo.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.